Lists sources in a notebook.
HTTP request
GET https://notebook.googleapis.com/v1/{parent=notebooks/*}/sources
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of sources. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of sources to return. The service may return fewer than this value. If unspecified, at most 50 sources will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
Request body
The request body must be empty.
Response body
Response message for NotebookService.ListSources.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"sources": [
{
object ( |
| Fields | |
|---|---|
sources[] |
The sources from the specified notebook, in ascending order of creation time, with ties broken by source ID. Sources added during pagination appear on later pages. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/notebookhttps://www.googleapis.com/auth/notebook.readonly
For more information, see the Authentication guide.